Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.jaxp
Class BXPathExpression

    java.lang.Object
      org.basex.api.jaxp.BXPathExpression

All Implemented Interfaces:
  XPathExpression

    public final class BXPathExpression

extends Object
implements XPathExpression

This class provides an API for standalone XPath processing.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Constructor Summary
`BXPathExpression(String qu)` Constructor.

Method Summary
`String` | `evaluate(InputSource is)`
`Object` | `evaluate(InputSource is, QName res)`
`String` | `evaluate(Object item)`
`Object` | `evaluate(Object item, QName res)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BXPathExpression

    public BXPathExpression(String qu)

  Constructor.

  Parameters:
    `qu` - query

Method Detail

### evaluate

    public String evaluate(Object item)
                    throws XPathExpressionException

  Specified by:
    `evaluate` in interface `XPathExpression`
  Throws:
    `XPathExpressionException`

### evaluate

    public String evaluate(InputSource is)
                    throws XPathExpressionException

  Specified by:
    `evaluate` in interface `XPathExpression`
  Throws:
    `XPathExpressionException`

### evaluate

    public Object evaluate(Object item,
                           QName res)
                    throws XPathExpressionException

  Specified by:
    `evaluate` in interface `XPathExpression`
  Throws:
    `XPathExpressionException`

### evaluate

    public Object evaluate(InputSource is,
                           QName res)
                    throws XPathExpressionException

  Specified by:
    `evaluate` in interface `XPathExpression`
  Throws:
    `XPathExpressionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD